From Wiki-UX.info

AutoPath
Jump to: navigation, search

AutoPath

Software Required

If the installation of HP AutoPath software fails during the kernel compilation due to an error similar to:

...
Compiling /stand/build/conf.c...
Generating module: swspBus...
Generating module: hsx...
Generating module: swsp...
Generating module: hpap...
Loading the kernel...
ld: Unsatisfied protected symbol "ulm_ioctl" in file "/stand/build/mod_wk.d/hpap/smod.o"
ld: Unsatisfied protected symbol "ulm_deregister" in file "/stand/build/mod_wk.d/hpap/smod.o"
ld: Unsatisfied protected symbol "ulm_aio_strategy" in file "/stand/build/mod_wk.d/hpap/smod.o"
ld: Unsatisfied protected symbol "ulm_open" in file "/stand/build/mod_wk.d/hpap/smod.o"
ld: Unsatisfied protected symbol "ulm_close" in file "/stand/build/mod_wk.d/hpap/smod.o"
ld: Unsatisfied protected symbol "ulm_aio_cancel" in file "/stand/build/mod_wk.d/hpap/smod.o"
ld: Unsatisfied protected symbol "ulm_aio_mincnt" in file "/stand/build/mod_wk.d/hpap/smod.o"
ld: Unsatisfied protected symbol "ulm_register" in file "/stand/build/mod_wk.d/hpap/smod.o"
ld: Unsatisfied protected symbol "ulm_strategy" in file "/stand/build/mod_wk.d/hpap/smod.o"
...

This behavior is cause because the SCSI Upper Layer Module is not installed. This is a requisite software for AutoPath on HP-UX 11.11. Newer versions of HP-UX already has this component copied during Cold Install or implement multipath solutions inside the kernel (HP-UX 11i v3).

The ULM-Service bundle must be installed to correct this problem.

ULM-SERVICE B.11.11.01 SCSI Upper Layer Module Service
SCSI Upper Layer Module Service

References

  • SAW: emr_na-c01063239 - HP StorageWorks Secure Path for HP-UX Software - Unable to Get Pseudo Device Recognized in Secure Path
This page was last modified on 17 February 2010, at 17:38. This page has been accessed 2,137 times.